import { EventEmitter, ChangeDetectorRef, OnInit, AfterViewInit } from '@angular/core';
import { MatButton } from '@angular/material/button';
export declare class SdButton implements OnInit, AfterViewInit {
    #private;
    private ref;
    button: MatButton;
    isDisabled: boolean;
    type: 'fill' | 'light' | 'outline' | 'link';
    set _type(type: 'fill' | 'light' | 'outline' | 'link');
    color: 'primary' | 'accent' | 'warn' | 'info' | 'success' | 'warning' | 'danger' | 'secondary';
    set _color(color: 'primary' | 'accent' | 'warn' | 'info' | 'success' | 'warning' | 'danger' | 'secondary');
    title: string;
    icon: string;
    width: string;
    size: 'sm' | 'lg';
    tooltip: string;
    iconSuffix: boolean;
    fontSet: 'material-icons' | 'material-icons-outlined' | 'material-icons-round' | 'material-icons-sharp' | 'material-symbols-outlined';
    set disabled(value: boolean);
    loading: boolean;
    action: EventEmitter<any>;
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClick: ($event: any) => void;
}
